Bug 1783453 - CVE-2019-19647 radare2: improper variable validation in r_asm_pseudo_incbin in libr/asm/asm.c leads to DoS [fedora-all]
Summary: CVE-2019-19647 radare2: improper variable validation in r_asm_pseudo_incbin i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radare2
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Riccardo Schirone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-19647
TreeView+ depends on / blocked
 
Reported: 2019-12-13 19:27 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-02-14 01:42 UTC (History)
1 user (show)

Fixed In Version: radare2-4.2.1-2.fc30 radare2-4.2.1-2.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-14 01:12:01 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2019-12-13 19:27:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2019-12-13 19:27:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1783452,1783453

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-02-04 13:40:21 UTC
FEDORA-2020-2b0ad67b13 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2b0ad67b13

Comment 3 Fedora Update System 2020-02-04 13:41:23 UTC
FEDORA-2020-3f6f6e7b66 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f6f6e7b66

Comment 4 Fedora Update System 2020-02-05 00:52:39 UTC
cutter-re-1.10.1-1.fc30, radare2-4.2.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f6f6e7b66

Comment 5 Fedora Update System 2020-02-05 01:25:08 UTC
cutter-re-1.10.1-1.fc31, radare2-4.2.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2b0ad67b13

Comment 6 Fedora Update System 2020-02-05 15:33:23 UTC
FEDORA-2020-bd69f062b5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bd69f062b5

Comment 7 Fedora Update System 2020-02-05 16:14:21 UTC
FEDORA-2020-acd8cdb08d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-acd8cdb08d

Comment 8 Fedora Update System 2020-02-05 16:15:02 UTC
FEDORA-2020-4a3ff78ba5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4a3ff78ba5

Comment 9 Fedora Update System 2020-02-06 01:12:11 UTC
cutter-re-1.10.1-3.fc31, radare2-4.2.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-acd8cdb08d

Comment 10 Fedora Update System 2020-02-06 01:33:36 UTC
cutter-re-1.10.1-3.fc30, radare2-4.2.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4a3ff78ba5

Comment 11 Fedora Update System 2020-02-14 01:12:01 UTC
cutter-re-1.10.1-3.fc30, radare2-4.2.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-02-14 01:42:33 UTC
cutter-re-1.10.1-3.fc31, radare2-4.2.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.